Skip to main content
PATCH
/
partner
/
clients
/
{id}
Update client profile
curl --request PATCH \
  --url https://api.example.com/api/v1/partner/clients/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "Jane"
}
'
{
  "id": 55,
  "firstName": "John",
  "lastName": "Doe",
  "email": "john@example.com",
  "phone": "+380671234567",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Partner API key. Format: sk_branch_<32chars>, sk_personal_<32chars>, or pk_<32chars> (public, read-only)

Path Parameters

id
integer
required

Client user ID

Body

application/json
firstName
string
Example:

"Jane"

lastName
string
Example:

"Doe"

email
string<email>
phone
string

Response

Updated client profile

id
integer
Example:

55

firstName
string
Example:

"John"

lastName
string
Example:

"Doe"

email
string<email>
Example:

"john@example.com"

phone
string
Example:

"+380671234567"

createdAt
string<date-time>
updatedAt
string<date-time>